using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication76
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int pol = n / 2;
            int jedan = n - 1;
            for (int i = 0; i < pol; i++)
            {
                for (int j = 0; j < jedan; j++)
                {
                    Console.ReadLine();
                    Console.WriteLine(3);
                }
            }
        }
    }
}